Bug 833611 - The cluster-* commands always ask for a password even if only acting on the store
The cluster-* commands always ask for a password even if only acting on the s...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-cluster-resource-agent (Show other bugs)
Development
Unspecified Unspecified
low Severity unspecified
: 2.3
: ---
Assigned To: Robert Rati
Tomas Rusnak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 17:23 EDT by Robert Rati
Modified: 2013-03-06 13:44 EST (History)
5 users (show)

See Also:
Fixed In Version: condor-7.8.6-0.1
Doc Type: Bug Fix
Doc Text:
Cause: Using the wallaby cluster-* commands to only perform actions in the configuration store Consequence: The ricci user password was prompted Fix: The user will only be prompted for the ricci user password if the action will be performed on the cluster configuration Result: Making changes to the store only will not prompt for the ricci user password
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:44:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2012-06-19 17:23:09 EDT
Description of problem:
The cluster-* tools will prompt for a cluster password even if the command is only run against the store (-s).  The store modifications will be made regardless of if the ricci password is given(correct or incorrect) or not.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. rm /var/lib/ricci/certs/clients/*
2. wallaby cluster-create -s name=...
  
Actual results:
The screen prompts for the ricci password like
password:

Expected results:
No prompt for password

Additional info:
Comment 1 Robert Rati 2012-06-19 17:25:34 EDT
Can also rm ~/.ccs instead of removing all certs in /var/lib/ricci/certs/clients
Comment 2 Robert Rati 2012-06-20 13:30:21 EDT
The cluster-* commands will only require a ricci password if the user is doing an operation that needs to configure the cluster.  This includes using the -n option.

Fixed upstream on:
V7_6-branch
Comment 5 Tomas Rusnak 2012-11-28 08:06:55 EST
Retested on RHEL6 (cluster commands are not supported on RHEL5):

condor-7.8.7-0.5.el6.x86_64
wallaby-utils-0.16.1-2.el6
condor-cluster-resource-agent-7.8.7-0.5.el6

# wallaby -H node1 cluster-create -s NAME=test SPOOL=/mnt/spool SERVER=test EXPORT=test test
Console Connection Established...
Adding the following parameter: SCHEDD.test.HISTORY with {:description=>"Created for HA Schedd test", :needsRestart=>true, :kind=>"String"}
Adding the following parameter: SCHEDD.test.RESTART_PROCD_ON_ERROR with {:description=>"Created for HA Schedd test", :needsRestart=>false, :kind=>"Boolean"}
Adding the following parameter: SCHEDD.test.SCHEDD_ADDRESS_FILE with {:description=>"Created for HA Schedd test", :needsRestart=>true, :kind=>"String"}
Adding the following parameter: SCHEDD.test.SCHEDD_DAEMON_AD_FILE with {:description=>"Created for HA Schedd test", :needsRestart=>true, :kind=>"String"}
Adding the following parameter: SCHEDD.test.SCHEDD_LOG with {:description=>"Created for HA Schedd test", :needsRestart=>true, :kind=>"String"}
....

Other commands tested:

cluster-add-jobserver
cluster-add-node
cluster-add-queryserver
cluster-delete
cluster-remove-jobserver
cluster-remove-node
cluster-remove-queryserver

>>> VERIFIED
Comment 7 errata-xmlrpc 2013-03-06 13:44:33 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.